package com.fs.qw.mapper;

import com.fs.qw.domain.QwMaterial;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface QwMaterialMapper {


    /**
     * 查询企微素材库
     *
     * @param id 企微素材库ID
     * @return 企微素材库
     */
    public QwMaterial selectQwMaterialById(Long id);

    /**
     * 查询企微素材库列表
     *
     * @param qwMaterial 企微素材库
     * @return 企微素材库集合
     */
    public List<QwMaterial> selectQwMaterialList(QwMaterial qwMaterial);

    /**
     * 新增企微素材库
     *
     * @param qwMaterial 企微素材库
     * @return 结果
     */
    public int insertQwMaterial(QwMaterial qwMaterial);

    /**
     * 修改企微素材库
     *
     * @param qwMaterial 企微素材库
     * @return 结果
     */
    public int updateQwMaterial(QwMaterial qwMaterial);

    /**
     * 删除企微素材库
     *
     * @param id 企微素材库ID
     * @return 结果
     */
    public int deleteQwMaterialById(Long id);

    /**
     * 批量删除企微素材库
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteQwMaterialByIds(Long[] ids);

    @Select("select * from qw_material where id = #{id}")
    QwMaterial selectById(Long id);



}
